parameters:
  error_log.manager.class: App\CoreBundle\Services\ErrorLogManager
  batch_job.manager.class: App\CoreBundle\Services\BatchJobsManager
  google_search.manager.class: App\CoreBundle\Services\GoogleSearchManager
  key_value.manager.class: App\CoreBundle\Services\KeyValueManager
  public_holiday.manager.class: App\CoreBundle\Services\PublicHolidayManager
  system_setting_group.manager.class: App\CoreBundle\Services\SystemSettingGroupManager
  system_setting.manager.class: App\CoreBundle\Services\SystemSettingManager
  service_getter.manager.class: App\CoreBundle\Services\ServiceGetterManager
  temp_value.manager.class: App\CoreBundle\Services\TempValueManager

services:
  admin.error_log:
    class: App\CoreBundle\Admin\ErrorLogAdmin
    arguments: [~, App\CoreBundle\Entity\ErrorLog, ~]
    tags:
        - { name: sonata.admin, manager_type: orm, group: Reports, label: Error Logs }
    public: true
  batch_job.manager:
    class: "%batch_job.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]
  error_log.manager:
    class: "%error_log.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container", "@logger" ]
  key_value.manager:
    class: "%key_value.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]
  public_holiday.manager:
    class: "%public_holiday.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]
  service_getter.manager:
    class: "%service_getter.manager.class%"
    arguments: [ "@service_container", "@mobile_detect.mobile_detector.default", "@security.helper", "@twig", "@mailer" ]
    public: true
    shared: true
  system_setting_group.manager:
    class: "%system_setting_group.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]
  system_setting.manager:
    class: "%system_setting.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]
  temp_value.manager:
    class: "%temp_value.manager.class%"
    public: true
    shared: true
    arguments: [ "@service_container" ]